Module java.corba
Package org.omg.IOP

## Class MultipleComponentProfileHolder

- java.lang.Object
- - org.omg.IOP.MultipleComponentProfileHolder

- All Implemented Interfaces:
    `Streamable`

      public final class MultipleComponentProfileHolder
      extends Object
      implements Streamable

  An array of tagged components, forming a multiple component profile.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TaggedComponent[]` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipleComponentProfileHolder​()` |
    `MultipleComponentProfileHolder​(TaggedComponent[] initialValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read​(InputStream i)` | Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type​()` | Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write​(OutputStream o)` | Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public TaggedComponent[] value

  - ### Constructor Detail

    - #### MultipleComponentProfileHolder

          public MultipleComponentProfileHolder​()

    - #### MultipleComponentProfileHolder

          public MultipleComponentProfileHolder​(TaggedComponent[] initialValue)

  - ### Method Detail

    - #### _read

          public void _read​(InputStream i)

      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `i` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write​(OutputStream o)

      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `o` - the CDR OutputStream

    - #### _type

          public TypeCode _type​()

      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder